package model

type ConnectAccountResp struct {
	/* - ссылка для авторизации в амо*/
	Link string `json:"link"`
}

type GetCurrentAccountResp struct {
	/* - айдишник в нашей системе Primary Key*/
	ID int64 `json:"ID"`
	/* - имя аккаунта в амо*/
	Name string `json:"Name"`
	/* - поддомен организации в амо*/
	Subdomain string `json:"Subdomain"`
	/* - id пользователя из токена в нашей системе*/
	Accountid string `json:"AccountID"`
	/* - айдишник пользвателя, который подключал интеграцию*/
	Amouserid int32 `json:"AmoUserID"`
	/* - связь с аккаунтом в амо*/
	Amocrmid int32 `json:"AmocrmID"`
	/* - страна указанная в настройках амо*/
	Country string `json:"Country"`
	/* - таймштамп создания аккаунта*/
	Createdat int64  `json:"CreatedAt"`
	DriveURL  string `json:"DriveURL"`
}

//type GetListUserUTMResp struct {
//	/* - общее количество юзеров, которые у нас закешированы для этого пользователя*/
//	Count int64 `json:"count"`
//	/* - список юзеров, которые были закешированы нашим сервисом*/
//	Items []UTM `json:"items"`
//}

type ListSavedIDUTMResp struct {
	/* - список айдишников сохранённых меток*/
	Ids []int64 `json:"IDs"`
}

type UserListFieldsResp struct {
	/* - общее количество кастомных полей, которые у нас закешированы для этого пользователя*/
	Count int64 `json:"count"`
	/* - список кастомных полей, которые были закешированы нашим сервисом*/
	Items []Field `json:"items"`
}

type UserListPipelinesResp struct {
	/* - общее количество воронок, которые у нас закешированы для этого пользователя*/
	Count int64 `json:"count"`
	/* - список воронок, которые были закешированы нашим сервисом*/
	Items []Pipeline `json:"items"`
}

type UserListResp struct {
	/* - общее количество юзеров, которые у нас закешированы для этого пользователя*/
	Count int64 `json:"count"`
	/* - список юзеров, которые были закешированы нашим сервисом*/
	Items []AmoAccountUser `json:"items"`
}

type UserListStepsResp struct {
	/* - список шагов воронок, которые были закешированы нашим сервисом*/
	Items []Step `json:"items"`
	/* - общее количество шагов воронок, которые у нас закешированы для этого пользователя*/
	Count int64 `json:"count"`
}

type UserListTagsResp struct {
	/* - общее количество тегов, которые у нас закешированы для этого пользователя*/
	Count int64 `json:"count"`
	/* - список тегов, которые были закешированы нашим сервисом*/
	Items []Tag `json:"items"`
}
