package answer

import (
	"context"
	"fmt"
	"github.com/minio/minio-go/v7"
)

const (
	bucket        = "3c580be9-cf31f296-d055-49cf-b39e-30c7959dc17b"
	bucketAnswers = "squizanswer"
)

type StorerAnswer struct {
	client *minio.Client
}

func NewAnswerMinio(ctx context.Context, minioClient *minio.Client) (*StorerAnswer, error) {
	return &StorerAnswer{
		client: minioClient,
	}, nil
}

func (s *StorerAnswer) GetAnswerURL(ctx context.Context, quizID string, questionID int64, filename string) (string, error) {
	objectName := fmt.Sprintf("%s/%d/%s", quizID, questionID, filename)

	url := fmt.Sprintf("https://%s/%s/%s", s.client.EndpointURL().Host, bucket, bucketAnswers+"/"+objectName)

	return url, nil
}
